Bug 387291 - ppc64 machine will not boot headless
ppc64 machine will not boot headless
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: yaboot (Show other bugs)
9
ppc64 Linux
low Severity low
: ---
: ---
Assigned To: Roman Rakus
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-16 12:13 EST by Sami Wagiaalla
Modified: 2016-06-07 18:46 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 14:19:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sami Wagiaalla 2007-11-16 12:13:04 EST
Description of problem:


Version-Release number of selected component (if applicable):
this is rawhide kernel 2.6.21-1.3230.fc8 but the problem has been there before.

Steps to Reproduce:
1. Unplug monitor and start the machine
  
Actual results:

The machine is not reachable through ssh, and the fan gets really loud after a
while.

Additional info:

here is the content of cpuinfo
$cat /proc/cpuinfo
processor       : 0
cpu             : PPC970FX, altivec supported
clock           : 1800.000000MHz
revision        : 3.0 (pvr 003c 0300)

processor       : 1
cpu             : PPC970FX, altivec supported
clock           : 1800.000000MHz
revision        : 3.0 (pvr 003c 0300)

timebase        : 33333333
platform        : PowerMac
machine         : PowerMac7,3
motherboard     : PowerMac7,3 MacRISC4 Power Macintosh 
detected as     : 336 (PowerMac G5)
pmac flags      : 00000000
L2 cache        : 512K unified
pmac-generation : NewWorld

Please let me know if you any any other information.
Comment 1 Chuck Ebbert 2007-11-16 12:30:56 EST
Current kernel is 2.6.23.1.
Comment 2 Olof Johansson 2007-11-20 00:48:19 EST
I think this might be a yaboot bug, not kernel. I've seen cases where booting
headless leads to problems when yaboot tries to open the display to show the
boot menu.

I seem to recall a fix for it, but I can't locate it right now.
Comment 3 Bug Zapper 2008-05-13 23:55:00 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Roman Rakus 2008-08-07 10:23:01 EDT
Can you get any output from yaboot when you plug monitor back? Is this machine reachable via serial console?
Comment 5 Paul Nasrat 2008-11-14 09:52:56 EST
Yeah we need to fix the ofboot to check before opening the screen device, also to do the right thing if the device is type serial.
Comment 6 Bug Zapper 2009-06-09 19:11:51 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2009-07-14 14:19:03 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.